HttpConstants (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.HttpConstants class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Class HttpConstants

    java.lang.Object
      org.apache.commons.httpclient.HttpConstants

Deprecated. use EncodingUtil class

    public class HttpConstants

extends Object

HTTP content conversion routines.

Author:
  Oleg Kalnichevski, Mike Bowler

Field Summary
`static String` | `DEFAULT_CONTENT_CHARSET` Deprecated. Default content encoding chatset
`static String` | `HTTP_ELEMENT_CHARSET` Deprecated. Character set used to encode HTTP protocol elements

Constructor Summary
`HttpConstants()` Deprecated.

Method Summary
`static byte[]` | `getAsciiBytes(String data)` Deprecated. Converts the specified string to byte array of ASCII characters.
`static String` | `getAsciiString(byte[] data)` Deprecated. Converts the byte array of ASCII characters to a string.
`static String` | `getAsciiString(byte[] data, int offset, int length)` Deprecated. Converts the byte array of ASCII characters to a string.
`static byte[]` | `getBytes(String data)` Deprecated. Converts the specified string to a byte array of HTTP element characters.
`static byte[]` | `getContentBytes(String data)` Deprecated. Converts the specified string to a byte array of HTTP content characters using default HTTP content encoding (ISO-8859-1) This method is to be used when encoding content of HTTP request/response
`static byte[]` | `getContentBytes(String data, String charset)` Deprecated. Converts the specified string to a byte array of HTTP content charachetrs This method is to be used when encoding content of HTTP request/response If the specified charset is not supported, default HTTP content encoding (ISO-8859-1) is applied
`static String` | `getContentString(byte[] data)` Deprecated. Converts the byte array of HTTP content characters to a string using default HTTP content encoding (ISO-8859-1) This method is to be used when decoding content of HTTP request/response
`static String` | `getContentString(byte[] data, int offset, int length)` Deprecated. Converts the byte array of HTTP content characters to a string using default HTTP content encoding (ISO-8859-1) This method is to be used when decoding content of HTTP request/response
`static String` | `getContentString(byte[] data, int offset, int length, String charset)` Deprecated. Converts the byte array of HTTP content characters to a string This method is to be used when decoding content of HTTP request/response If the specified charset is not supported, default HTTP content encoding (ISO-8859-1) is applied
`static String` | `getContentString(byte[] data, String charset)` Deprecated. Converts the byte array of HTTP content characters to a string This method is to be used when decoding content of HTTP request/response If the specified charset is not supported, default HTTP content encoding (ISO-8859-1) is applied
`static String` | `getString(byte[] data)` Deprecated. Converts the byte array of HTTP element characters to a string This method is to be used when decoding content of HTTP elements (such as response headers)
`static String` | `getString(byte[] data, int offset, int length)` Deprecated. Converts the byte array of HTTP element characters to a string This method is to be used when decoding content of HTTP elements (such as response headers)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP_ELEMENT_CHARSET

    public static final String HTTP_ELEMENT_CHARSET

  Deprecated.
  Character set used to encode HTTP protocol elements

  See Also:
    Constant Field Values

### DEFAULT_CONTENT_CHARSET

    public static final String DEFAULT_CONTENT_CHARSET

  Deprecated.
  Default content encoding chatset

  See Also:
    Constant Field Values

Constructor Detail

### HttpConstants

    public HttpConstants()

  Deprecated.

Method Detail

### getBytes

    public static byte[] getBytes(String data)

  Deprecated.
  Converts the specified string to a byte array of HTTP element characters. This method is to be used when encoding content of HTTP elements (such as request headers)

  Parameters:
    `data` - the string to be encoded
  Returns:
    The resulting byte array.

### getString

    public static String getString(byte[] data,
                                   int offset,
                                   int length)

  Deprecated.
  Converts the byte array of HTTP element characters to a string This method is to be used when decoding content of HTTP elements (such as response headers)

  Parameters:
    `data` - the byte array to be encoded
    `offset` - the index of the first byte to encode
    `length` - the number of bytes to encode
  Returns:
    The resulting string.

### getString

    public static String getString(byte[] data)

  Deprecated.
  Converts the byte array of HTTP element characters to a string This method is to be used when decoding content of HTTP elements (such as response headers)

  Parameters:
    `data` - the byte array to be encoded
  Returns:
    The resulting string.

### getContentBytes

    public static byte[] getContentBytes(String data,
                                         String charset)

  Deprecated.
  Converts the specified string to a byte array of HTTP content charachetrs This method is to be used when encoding content of HTTP request/response If the specified charset is not supported, default HTTP content encoding (ISO-8859-1) is applied

  Parameters:
    `data` - the string to be encoded
    `charset` - the desired character encoding
  Returns:
    The resulting byte array.

### getContentString

    public static String getContentString(byte[] data,
                                          int offset,
                                          int length,
                                          String charset)

  Deprecated.
  Converts the byte array of HTTP content characters to a string This method is to be used when decoding content of HTTP request/response If the specified charset is not supported, default HTTP content encoding (ISO-8859-1) is applied

  Parameters:
    `data` - the byte array to be encoded
    `offset` - the index of the first byte to encode
    `length` - the number of bytes to encode
    `charset` - the desired character encoding
  Returns:
    The result of the conversion.

### getContentString

    public static String getContentString(byte[] data,
                                          String charset)

  Deprecated.
  Converts the byte array of HTTP content characters to a string This method is to be used when decoding content of HTTP request/response If the specified charset is not supported, default HTTP content encoding (ISO-8859-1) is applied

  Parameters:
    `data` - the byte array to be encoded
    `charset` - the desired character encoding
  Returns:
    The result of the conversion.

### getContentBytes

    public static byte[] getContentBytes(String data)

  Deprecated.
  Converts the specified string to a byte array of HTTP content characters using default HTTP content encoding (ISO-8859-1) This method is to be used when encoding content of HTTP request/response

  Parameters:
    `data` - the string to be encoded
  Returns:
    The byte array as above.

### getContentString

    public static String getContentString(byte[] data,
                                          int offset,
                                          int length)

  Deprecated.
  Converts the byte array of HTTP content characters to a string using default HTTP content encoding (ISO-8859-1) This method is to be used when decoding content of HTTP request/response

  Parameters:
    `data` - the byte array to be encoded
    `offset` - the index of the first byte to encode
    `length` - the number of bytes to encode
  Returns:
    The string representation of the byte array.

### getContentString

    public static String getContentString(byte[] data)

  Deprecated.
  Converts the byte array of HTTP content characters to a string using default HTTP content encoding (ISO-8859-1) This method is to be used when decoding content of HTTP request/response

  Parameters:
    `data` - the byte array to be encoded
  Returns:
    The string representation of the byte array.

### getAsciiBytes

    public static byte[] getAsciiBytes(String data)

  Deprecated.
  Converts the specified string to byte array of ASCII characters.

  Parameters:
    `data` - the string to be encoded
  Returns:
    The string as a byte array.

### getAsciiString

    public static String getAsciiString(byte[] data,
                                        int offset,
                                        int length)

  Deprecated.
  Converts the byte array of ASCII characters to a string. This method is to be used when decoding content of HTTP elements (such as response headers)

  Parameters:
    `data` - the byte array to be encoded
    `offset` - the index of the first byte to encode
    `length` - the number of bytes to encode
  Returns:
    The string representation of the byte array

### getAsciiString

    public static String getAsciiString(byte[] data)

  Deprecated.
  Converts the byte array of ASCII characters to a string. This method is to be used when decoding content of HTTP elements (such as response headers)

  Parameters:
    `data` - the byte array to be encoded
  Returns:
    The string representation of the byte array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.